# Example Notebooks

Examples demonstrating usage of TFF methods.


In order to start the examples on [Google Colab](https://colab.research.google.com), please follow the link "Run in Google Colab" provided with the examples. To run the code without
issues, connect to a GPU runtime (Runtime -> Change runtime type -> Choose
GPU in Hardware accelerator section).

[AI Platform Notebooks](https://cloud.google.com/ai-platform-notebooks/) instance
was used to create the precomputed results (VM with 8 vCPUs and TESLA v100 GPU).

List of examples:

  *   [American Option pricing under the Black-Scholes model](https://colab.research.google.com/github/google/tf-quant-finance/blob/master/tf_quant_finance/examples/jupyter_notebooks/American_Option_Black_Scholes.ipynb).
  *   [Monte Carlo via Euler Scheme](https://colab.research.google.com/github/google/tf-quant-finance/blob/master/tf_quant_finance/examples/jupyter_notebooks/Monte_Carlo_Euler_Scheme.ipynb).
  *   [Black Scholes: Price and Implied Vol](https://colab.research.google.com/github/google/tf-quant-finance/blob/master/tf_quant_finance/examples/jupyter_notebooks/Black_Scholes_Price_and_Implied_Vol.ipynb).


# TensorFlow training

If you are not familiar with TensorFlow, a good place to get started is with the
following self-study introduction to TensorFlow notebooks:

   * [Introduction to TensorFlow](https://colab.research.google.com/github/google/tf-quant-finance/blob/master/tf_quant_finance/examples/jupyter_notebooks/Introduction_to_TensorFlow.ipynb).
